<?xml version="1.0" encoding="UTF-8"?><components xmlns:scr="http://www.osgi.org/xmlns/scr/v1.0.0">
    <scr:component enabled="true" immediate="true" name="org.wso2.carbon.webapp.mgt.internal.UrlMapperServiceComponent">
        <implementation class="org.wso2.carbon.webapp.mgt.internal.UrlMapperServiceComponent"/>
        <property name="service.pid" value="org.wso2.carbon.webapp.mgt.internal.UrlMapperServiceComponent" private="false"/>
        <reference name="url.mapper.service" interface="org.wso2.carbon.url.mapper.HotUpdateService" cardinality="0..1" policy="dynamic" bind="setHotUpdateService" unbind="unsetHotUpdateService" checked="true" strategy="event"/>
    </scr:component>
    <scr:component enabled="true" immediate="true" name="org.wso2.carbon.webapp.mgt.internal.WebappDeploymentServiceComponent">
        <implementation class="org.wso2.carbon.webapp.mgt.internal.WebappDeploymentServiceComponent"/>
        <property name="service.pid" value="org.wso2.carbon.webapp.mgt.internal.WebappDeploymentServiceComponent" private="false"/>
        <reference name="carbon.tomcat.service" interface="org.wso2.carbon.tomcat.api.CarbonTomcatService" cardinality="0..1" policy="dynamic" bind="setCarbonTomcatService" unbind="unsetCarbonTomcatService" checked="true" strategy="event"/>
        <reference name="registry.service" interface="org.wso2.carbon.registry.core.service.RegistryService" cardinality="1..1" policy="dynamic" bind="setRegistryService" unbind="unsetRegistryService" checked="true" strategy="event"/>
    </scr:component>
    <scr:component enabled="true" immediate="true" name="org.wso2.carbon.webapp.mgt.internal.WebappManagementServiceComponent">
        <implementation class="org.wso2.carbon.webapp.mgt.internal.WebappManagementServiceComponent"/>
        <property name="service.pid" value="org.wso2.carbon.webapp.mgt.internal.WebappManagementServiceComponent" private="false"/>
        <reference name="config.context.service" interface="org.wso2.carbon.utils.ConfigurationContextService" cardinality="1..1" policy="dynamic" bind="setConfigurationContextService" unbind="unsetConfigurationContextService" checked="true" strategy="event"/>
        <reference name="user.realmservice.default" interface="org.wso2.carbon.user.core.service.RealmService" cardinality="1..1" policy="dynamic" bind="setRealmService" unbind="unsetRealmService" checked="true" strategy="event"/>
        <reference name="depsych.service" interface="org.wso2.carbon.core.deployment.DeploymentSynchronizer" cardinality="0..1" policy="dynamic" bind="setDeploymentSynchronizerService" unbind="unsetDeploymentSynchronizerService" checked="true" strategy="event"/>
        <reference name="tenant.registryloader" interface="org.wso2.carbon.registry.core.service.TenantRegistryLoader" cardinality="1..1" policy="dynamic" bind="setTenantRegistryLoader" unbind="unsetTenantRegistryLoader" checked="true" strategy="event"/>
        <reference name="application.manager" interface="org.wso2.carbon.application.deployer.service.ApplicationManagerService" cardinality="0..1" policy="dynamic" bind="setAppManager" unbind="unsetAppManager" checked="true" strategy="event"/>
    </scr:component>
</components>
